#ifndef _H_PSTHREAD_
#define _H_PSTHREAD_

#include <glib.h>
#include "pseudo.h"

typedef struct{
	PSTHREAD			psthread;
	gint16			priority;
	gpointer		arg1;
	gpointer		arg2;
	guint32			uid;
} PSTHREAD_UNION;

typedef struct{
	GSList				*queue;
	const gchar			*queue_name;
	GStaticRecMutex	queue_lock;
	guint					vcount;
} PSTHREAD_Q;

PSTHREAD_Q*	psthread_q_init(const gchar *queue_name);
#define		psthread_q_get(x) psthread_q_init(x)

#endif
